weka.core

## Annotation Type OptionMetadata

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value=METHOD)
      public @interface OptionMetadata

  Method annotation that can be used with scheme parameters to provide a nice display-ready name for the parameter, help information and, if applicable, command line option details
  Version:
    $Revision: 11711 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `description` Description of this parameter.
    `java.lang.String` | `displayName` The nice GUI displayable name for this parameter

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `commandLineParamIsFlag` True if the command line version of this parameter is a flag (i.e.
    `java.lang.String` | `commandLineParamName` The name of the command line version of this parameter (without leading -).
    `java.lang.String` | `commandLineParamSynopsis` The synopsis to display on in the command line help for this parameter (e.g.
    `int` | `displayOrder` The order (low to high), relative to other parameters, that this property should be displayed in the GUI and, if applicable, on the command line help

- - ### Element Detail

    - #### displayName

          public abstract java.lang.String displayName

      The nice GUI displayable name for this parameter
      Returns:
        a nice displayable name

  - - #### description

          public abstract java.lang.String description

      Description of this parameter. Displayed as a tool tip and help in the GUI, and on the command line.
      Returns:
        the description text of this parameter

  - - #### displayOrder

          public abstract int displayOrder

      The order (low to high), relative to other parameters, that this property should be displayed in the GUI and, if applicable, on the command line help
      Returns:
        the order (default 100)
      Default:
        100

  - - #### commandLineParamName

          public abstract java.lang.String commandLineParamName

      The name of the command line version of this parameter (without leading -). If this parameter is not a command line one, then just leave at the default empty string.
      Returns:
        the name of the command line version of this parameter
      Default:
        ""

  - - #### commandLineParamIsFlag

          public abstract boolean commandLineParamIsFlag

      True if the command line version of this parameter is a flag (i.e. binary parameter).
      Returns:
        true if the command line version of this parameter is a flag
      Default:
        false

  - - #### commandLineParamSynopsis

          public abstract java.lang.String commandLineParamSynopsis

      The synopsis to display on in the command line help for this parameter (e.g. -Z ). If this parameter is not a command line one, then just leave at the default empty string.
      Returns:
        the command line synopsis for this parameter
      Default:
        ""